| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxAcceleratorTable Class Reference
Data Structures

`#include <wx/accel.h>`

Inheritance diagram for wxAcceleratorTable:
[legend]

## Detailed Description

An accelerator table allows the application to specify a table of keyboard shortcuts for menu or button commands.

The object wxNullAcceleratorTable is defined to be a table with no data, and is the initial accelerator table for a window.

Example:

wxAcceleratorEntry entries[4];
entries[0].Set(wxACCEL_CTRL, (int) 'N', ID_NEW_WINDOW);
entries[1].Set(wxACCEL_CTRL, (int) 'X', wxID_EXIT);
entries[2].Set(wxACCEL_SHIFT, (int) 'A', ID_ABOUT);
entries[3].Set(wxACCEL_NORMAL, WXK_DELETE, wxID_CUT);
wxAcceleratorTable accel(4, entries);
frame->SetAcceleratorTable(accel);

Remarks
  An accelerator takes precedence over normal processing and can be a convenient way to program some event handling. For example, you can use an accelerator table to enable a dialog with a multi-line text control to accept CTRL-Enter as meaning 'OK'.

##

Library: wxCore
Category: Data Structures

Predefined objects/pointers: wxNullAcceleratorTable

See Also
  wxAcceleratorEntry, wxWindow::SetAcceleratorTable

## Public Member Functions

| wxAcceleratorTable ()
| Default ctor.
| wxAcceleratorTable (int n, const wxAcceleratorEntry entries[])
| Initializes the accelerator table from an array of wxAcceleratorEntry.
| wxAcceleratorTable (const wxString &resource)
| Loads the accelerator table from a Windows resource (Windows only).
virtual | ~wxAcceleratorTable ()
| Destroys the wxAcceleratorTable object.
bool | IsOk () const
| Returns true if the accelerator table is valid.
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data.
| wxObject (const wxObject &other)
| Copy ctor.
virtual | ~wxObject ()
| Destructor.
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar).
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object.
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class.
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj.
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone.
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer.
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data.
void | UnShare ()
| This is the same of AllocExclusive() but this method is public.
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.

## Additional Inherited Members

Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object.
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it.
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data.
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data.

## Constructor & Destructor Documentation

wxAcceleratorTable::wxAcceleratorTable | ( |  | ) |

Default ctor.

wxAcceleratorTable::wxAcceleratorTable | ( | int | n,
|  | const wxAcceleratorEntry | entries[]
| ) |  |

Initializes the accelerator table from an array of wxAcceleratorEntry.

Parameters

  n | Number of accelerator entries.
  entries | The array of entries.

wxPerl Note: The wxPerl constructor accepts a list of either Wx::AcceleratorEntry objects or references to 3-element arrays [flags, keyCode, cmd] , like the parameters of Wx::AcceleratorEntry::new.

wxAcceleratorTable::wxAcceleratorTable | ( | const wxString & | resource | ) |

Loads the accelerator table from a Windows resource (Windows only).

Availability: only available for the wxMSW port.

Parameters

  resource | Name of a Windows accelerator.

virtual wxAcceleratorTable::~wxAcceleratorTable | ( |  | ) |

virtual

Destroys the wxAcceleratorTable object.

See Object Destruction for more info.

## Member Function Documentation

bool wxAcceleratorTable::IsOk | ( |  | ) | const

Returns true if the accelerator table is valid.